#
# spec file for package ghc-alsa-pcm
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name alsa-pcm
Name:           ghc-%{pkg_name}
Version:        0.6.1.1
Release:        2.9
Summary:        Binding to the ALSA Library API (PCM audio)
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-alsa-core-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-extensible-exceptions-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-sample-frame-devel
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-storable-record-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(alsa)

%description
This package provides access to ALSA realtime audio signal input and output.
For MIDI support see alsa-seq.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires:       pkgconfig
Requires:       pkgconfig(alsa)
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files

%changelog
* Mon Sep  3 2018 psimons@suse.com
- Update alsa-pcm to version 0.6.1.1.
  Upstream does not provide a change log file.
* Tue Jul 10 2018 psimons@suse.com
- Add alsa-pcm at version 0.6.1.
